This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 990155 - (CVE-2013-4920) CVE-2013-4920 wireshark: DoS (application crash) in the P1 dissector (wnpa-sec-2013-42)
CVE-2013-4920 wireshark: DoS (application crash) in the P1 dissector (wnpa-se...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130726,reported=2...
: Security
Depends On: 990189 990202 994914
Blocks: 990216
  Show dependency treegraph
 
Reported: 2013-07-30 09:47 EDT by Jan Lieskovsky
Modified: 2015-10-15 13:55 EDT (History)
5 users (show)

See Also:
Fixed In Version: Wireshark 1.10.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-05 01:17:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-07-30 09:47:21 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-4920 to the following vulnerability:

The P1 dissector in Wireshark 1.10.x before 1.10.1 does not properly initialize a global variable, which allows remote attackers to cause a denial of service (application crash) via a crafted packet.

References:
[1] http://anonsvn.wireshark.org/viewvc?view=revision&revision=50083
[2] http://www.wireshark.org/docs/relnotes/wireshark-1.10.1.html
[3] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8826
[4] https://www.wireshark.org/security/wnpa-sec-2013-42.html
Comment 1 Jan Lieskovsky 2013-07-30 10:33:13 EDT
Created wireshark tracking bugs for this issue:

Affects: fedora-18 [bug 990189]
Comment 2 Jan Lieskovsky 2013-07-30 10:47:27 EDT
Created wireshark tracking bugs for this issue:

Affects: fedora-19 [bug 990202]
Comment 3 Huzaifa S. Sidhpurwala 2013-08-05 01:17:52 EDT
The version of wireshark shipped with Red Hat Enterprise Linux 5 and 6 does not have support for X.411 (X.400 Message Transfer) packet dissection, hence this flaw does not affect those versions.

Statement:

Not Vulnerable. This issue does not affect the version of wireshark, as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 5 Fedora Update System 2013-09-11 22:04:57 EDT
wireshark-1.10.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-09-16 20:27:12 EDT
wireshark-1.10.2-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-09-27 20:11:47 EDT
wireshark-1.10.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-10-02 21:02:53 EDT
wireshark-1.10.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-12-19 02:09:25 EST
wireshark-1.10.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.